%define name yabause
%define version 0.9.2
%define distsuffix plf
%define release %mkrel 2

Summary: Yabause - Yet another buggy and uncomplete saturn emulator
Name: %{name}
Version: %{version}
Release: %{release}
BuildRequires: SDL-devel
BuildRequires: gtk2-devel
#BuildRequires: atk-devel
#BuildRequires: pango-devel
#BuildRequires: libgdk_pixbuf2.0-devel
BuildRequires: libgtkglext-devel
%if %mdkversion >= 200700
BuildRequires: mesaglut-devel
%else
BuildRequires: MesaGLUT-devel
%endif
BuildRequires: ImageMagick
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Group: Emulators
License: GPL
URL: http://yabause.sourceforge.net/
%if %mdkversion < 200800
BuildRoot: %_tmppath/%{name}-build
%endif

%description
Yabause is a Sega Saturn emulator.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q
convert -scale 16x16 src/logo.png %{name}-16.png
convert -scale 48x48 src/logo.png %{name}-48.png
perl -pi -e "s|.png||" src/gtk/%{name}.desktop

%build
%configure
#--with-gtk
%make

%install
rm -rf %{buildroot}
%makeinstall

#icons
install -d -m 755 %{buildroot}/%{_miconsdir}
install -m 644 %{name}-16.png %{buildroot}/%{_miconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 src/logo.png %{buildroot}/%{_iconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{name}-48.png %{buildroot}/%{_liconsdir}/%{name}.png

#menus
#old debian-type menu
install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
	section="More Applications/Emulators" \
	title="Yabause" \
	longtitle="%{summary}" \
	command="%{_bindir}/%{name}" \
	icon="%{name}.png" \
	xdg="true"
EOF

#xdg menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Game" \
  --remove-key="Version" \
  --add-category="Emulator" \
  --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ $RPM_BUILD_ROOT%{_datadir}/applications/*

#no need to duplicate 32x32 icon
rm -rf %{buildroot}%{_datadir}/pixmaps/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GOALS INSTALL README README.LIN TODO
%attr(0755,root,games) %{_bindir}/%{name}
#attr(0755,root,games) %{_bindir}/gen68k
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
#{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}

%changelog
* Mon Dec 17 2007 Guillaume Bedot <littletux@zarb.org> 0.9.2-1plf2008.1
- 0.9.2

* Thu Dec 06 2007 Guillaume Bedot <littletux@zarb.org> 0.9.1-2plf2008.1
- builreqs

* Tue Nov 27 2007 Guillaume Bedot <littletux@zarb.org> 0.9.1-1plf2008.1
- 0.9.1

* Wed Jun 27 2007 Guillaume Bedot <littletux@zarb.org> 0.8.5-1plf2008.0
- 0.8.5

* Wed Mar 21 2007 Guillaume Bedot <littletux@zarb.org> 0.8.0-1plf2007.1
- 0.8.0

* Fri Sep 01 2006 Guillaume Bedot <littletux@zarb.org> 0.7.1-1plf2007.0
- 0.7.1

* Wed Aug 30 2006 Anssi Hannula <anssi@zarb.org> 0.7.0-2plf2007.0
- fix buildrequires

* Tue Aug 22 2006 Guillaume Bedot <littletux@zarb.org> 0.7.0-1plf2007.0
- 0.7.0, menu, new buildrequires

* Sat Jul 22 2006 Guillaume Bedot <littletux@zarb.org> 0.6.0-2plf2007.0
- space insteas of tabs, clean install

* Wed Feb 22 2006 Guillaume Bedot <littletux@zarb.org> 0.6.0-1plf
- First package
